SDL_Vulkan_GetVkGetInstanceProcAddr(3)

NAME
SDL_Vulkan_GetVkGetInstanceProcAddr - Get the address of the vkGetInstanceProcAddr function.

HEADER FILE
Defined in SDL3/SDL_vulkan.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_FunctionPointer SDL_Vulkan_GetVkGetInstanceProcAddr(void);

DESCRIPTION
This should be called after either calling SDL_Vulkan_LoadLibrary () or creating an SDL_Window
 with the SDL_WINDOW_VULKAN flag. The actual type of the returned function pointer is PFN_vkGetInstanceProcAddr, but that isn't available because the Vulkan headers are not included here. You should cast the return value of this function to that type, e.g. vkGetInstanceProcAddr= (PFN_vkGetInstanceProcAddr)SDL_Vulkan_GetVkGetInstanceProcAddr();

RETURN VALUE
Returns the function pointer for vkGetInstanceProcAddr or NULL on error.

AVAILABILITY
This function is available since SDL 3.0.0.